com.amazonaws.services.lambda.model

## Class AccountUsage

- java.lang.Object
- - com.amazonaws.services.lambda.model.AccountUsage

All Implemented Interfaces:
  Serializable, Cloneable

    public class AccountUsage
    extends Object
    implements Serializable, Cloneable

Provides code size usage and function count associated with the current account and region.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AccountUsage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AccountUsage` `clone()`
`boolean` `equals(Object obj)`
`Long` `getFunctionCount()` The number of your account's existing functions per region.
`Long` `getTotalCodeSize()` Total size, in megabytes, of the account's deployment packages per region.
`int` `hashCode()`
`void` `setFunctionCount(Long functionCount)` The number of your account's existing functions per region.
`void` `setTotalCodeSize(Long totalCodeSize)` Total size, in megabytes, of the account's deployment packages per region.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`AccountUsage` `withFunctionCount(Long functionCount)` The number of your account's existing functions per region.
`AccountUsage` `withTotalCodeSize(Long totalCodeSize)` Total size, in megabytes, of the account's deployment packages per region.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AccountUsage

    public AccountUsage()

### Method Detail

#### setTotalCodeSize

    public void setTotalCodeSize(Long totalCodeSize)

Total size, in megabytes, of the account's deployment packages per region.

Parameters:
  `totalCodeSize` - Total size, in megabytes, of the account's deployment packages per region.

#### getTotalCodeSize

    public Long getTotalCodeSize()

Total size, in megabytes, of the account's deployment packages per region.

Returns:
  Total size, in megabytes, of the account's deployment packages per region.

#### withTotalCodeSize

    public AccountUsage withTotalCodeSize(Long totalCodeSize)

Total size, in megabytes, of the account's deployment packages per region.

Parameters:
  `totalCodeSize` - Total size, in megabytes, of the account's deployment packages per region.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFunctionCount

    public void setFunctionCount(Long functionCount)

The number of your account's existing functions per region.

Parameters:
  `functionCount` - The number of your account's existing functions per region.

#### getFunctionCount

    public Long getFunctionCount()

The number of your account's existing functions per region.

Returns:
  The number of your account's existing functions per region.

#### withFunctionCount

    public AccountUsage withFunctionCount(Long functionCount)

The number of your account's existing functions per region.

Parameters:
  `functionCount` - The number of your account's existing functions per region.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public AccountUsage clone()

Overrides:
  `clone` in class `Object`